Latest Changes
---------------

201207_2
  * Fixes: NB#293664 Forward without download is not working for the first time when the other mail account is created.

201203
  * Fixes: NB#296686 Problems configuring and accessing “.eim” & “emirates.net.ae” mail accounts

201202_2
  * Fixes: NB#291875 QMF doesn't have message flag for marking emails as todo

201202
  * Made API additions as documented in src/libraries/qmfclient/CHANGES.qdoc item 52.

201201_1
  * Made API renaming changes as documented in src/libraries/qmfclient/CHANGES.qdoc item 51.

201201
  * Use QNetworkProxy::applicationProxy() requires qt 4.8
  * Revert removal emission of IPC notification

201152
  * Fixes: NB#294936 [Hotmail] 'Can't get your message' is shown on opening delivery status failure notification mail
  * Fixes: NB#295637 Encoding from body parts in a multi-part email should be used for header's textual data
  * Fixes: NB#294947 Preview in Hong Kong special Chinese characters (Big5) displays as garbage after downloading the attachment.

201151
  * Fixes: NB#295512 Deleting mails using another client not detected on device for some imap servers

201149
  * Fixes: NB#292081 Messageserver with high CPU utilization and mail is not sync'd
 
201143
  * Fixes: NB#286059 QMailMessagePartContainer::foreachPart(F func) may ignore template argument
  * Fixes: NB#280917 QFileSystemWatcher on /var/tmp 

201141
  * Fixes: NB#281177 Preview and message headers displayed as junk characters for some Traditional Chinese mails

201137
  * Fixes: NB#225787 Slow parsing of long header field 
  * Fixes: NB#271244 rich-text e-mail with an inline .txt attachment breaks preview

201133
  * Fixes: NB#274801 MfE: Always up-to date mails receive stops for one of the folder or Inbox after some time
  * Fixes: NB#277324 MFE sync last for long time when multiple accounts configured (other mail and MFE)
  * Fixes: NB#276243 Email Sync fails when not synced for a day and shows connecting to server always. 
  * Fixes: NB#275840 Legal bug - license header change in qt4-messagingframework
  * Fixes: NB#195981 <Safety> Invalid read when attach a file to the new mail 

201132
  * Fixes: NB#252133 Mix of French specific characters and arabic characters not always rendered in email subject
  * Fixes: NB#273309 Corrupted messages received from hotmail pop server.

201130
  * Fixes: NB#264753 Email; The header and content of Sohu email can't be shown in Chinese PRC

201129
  * Fixes: NB#272619 Messageserver crashes always when sending message from Outbox with huge files
  * Fixes: NB#259057 Random 'Error message' is displayed when manual synchronising Hot Mail

201128
  * Fixes: NB#270942 "Can't connect to SMTP server ..." error displayed on sending successive messages from IMAP

201126
  * Fixes: NB#267169 "can't get your message" error shown when going back
  * Fixes: NB#195729 ConfigurationError not shown when account is configured with wrong settings 
  * Fixes: NB#271151 [TASK] Provide a API that accepts a list of folders to be synced
  
201125
  * Fixes: NB#215942 Traditional Chinese character is corrupted in mailbox
  * Fixes: NB#232541 Invitations not displayed in the message viewer for Gmail 
  * Fixes: NB#265381 crash in QMailHeartbeatTimer::stop()
  * Fixes: NB#267768 messageserver segfaults @ QtMobility::QSystemAlignedTimerPrivate::error
  * Fixes: NB#265236 "Error occurred" shown frequently when syncing emails
  * Fixes: NB#268303 messageserver aborts with manual send receive of Google plugin account after SSU
  * Fixes: NB#267055 - Other mail account : messages deleted in device are not synced to server
  * Fixes: NB#267394 Always up to date stops working in a certain scenario

201123
  * Fixes: NB#265223 Original message body shown empty in message view
  * Fixes: NB#259331 New mails not shown immediately
  * Fixes: NB#264055 Message body region gets blank after forwarding it from device
  * Fixes: NB#259082 Sync never stops
  
201122
  * Fixes: NB#259331 Does not show new emails immediately
  * Fixes: NB#249858 Random crash observed with assert 
  * Fixes: NB#207864 Protocol plugin services should only be restarted when necessary
  * Fixes: NB#217492 "Unable to retrieve message list for unconfigured accounts" is displayed as title in Inbox 
  * Fixes: NB#261611 Random messageserver crash observed when disabling IMAP accounts  
  * Fixes: NB#252787 Unable to send an invitation if location is selected for the event
  * Fixes: NB#260769 gmail sync triggered every 10 minutes in "Always upto date" mode
  * Fixes: NB#257648 Use QTimer for "expire check" instead of syshb
  * Fixes: NB#195729 smtp authentication error not shown when account is configured with wrong settings
  * Fixes: NB#264025 Messageserver crash while setting POP account
  * Fixes: NB#264045 Messageserver crash while disabling other mail account
  * Fixes: NB#261810 Random crashes observed
  * Fixes: NB#263850 Preview of the message shown with junk characters/links

201121
  * Fixes: NB#232541 Calendar icon not displayed
  * Fixes: NB#252977 Email client should align with other periodic network
  * Fixes: NB#258677 messageserver crash observed while send email with an attachment during MTBF

201120
  * Fixes: NB#225762 QMailMessage asserts when parsing invalid message/rfc822
  * Fixes: NB#253979 Body & Preview of message got corrupted after deleting attachment(s) from Message
  * Fixes: NB#257648 Use QTimer for "expire check" instead of syshb
  * Fixes: NB#236925 IMAP/POP: Preview of body missing on message item which consists attachments

201119
  * Fixes: NB#253783 Random crash during sync
  * Fixes: NB#238479 Some special characters are converted to &-sequences in the mail preview
  * Fixes: NB#251063 Long time taken for sync button to come to stop state after sending response
  * Fixes: NB#253979 Body & Preview of message got corrupted after deleting attachment(s) from Message
  * Fixes: NB#243117 Time taken to open settings for the first time after configuring account is more

201117
  * Fixes: NB#238416 Preview of the message got corrupted
  * Fixes: NB#249858 Random crash observed
  * Fixes: NB#247408 Handle the no thread case

201115
  * Fixes: NB#23452 - Preview is missing for locally saved drafts or sent messages in Client

201114
  * Fixes: NB#242495 - Messageserver crash while trying to delete 1st account during initial fetch

201113_2
  * Fixes: QTSOLBUG-155 - Unable to move messages with qtmail
  * Fixes: NB#195729 - "qtn_mail_smtp_authentication_error" not shown when account is configured with wrong settings

201113
  * Fixes: NB#239506 - Some part of message body shown duplicate 

201112
  * Fixes: NB#240458 - Random as-daemon crash observed on accepting multiple meeting invites continuously
  * Fixes: NB#209479 - <UninitVar> qmailserviceaction.cpp:340

201111
  * Fixes: QTSOL-200 - QMailStorageAction::flagMessages doesn't export Read and Important flag changes to the server

201110_2
  * Fixes: NB#235204 - QMF IMAP plugin is unable to get mail

201108
  * Fixes: NB#227422 - Wrong header field splitting when using setHeaderField() with long string

201103
  * Fixes: NB#204181 - Subject encoded using the" =?charset?encoding?result?=" method is not shown correctly
  * Fixes: QTSOL-196 - IMAP's recursivelyCompleteParts is faulty

201102_2
  * Fixes: QTSOL-197 - Thread id is not found for a new message

201102
  * Fixes: NB#206801 - Sync icon still spinning but there are not actions going on in the background
  * Fixes: NB#207235 - QMailMessage::fromRfc2822*() does not set the HasAttachment flag
  * Fixes: NB#181546 - IMAP: Next successive delete message(s) attempt fails and synchronization spinner never stops 
  * Fixes: NB#213223 - QMailMessageMetaData::receivedDate() and QMailMessageMetaData::date() return the same date on an updated
  * Fixes: NB#209479 - <UninitVar> qmailserviceaction.cpp:340
  * Fixes: NB#209646 - Sending a message shows 'spinner' for a long time and not reliable all the time
  * Fixes: QTSOL-185 - Triggering incoming email results in duplicate signal emission

201101
  * Fixes: NB#207235 QMailMessage::fromRfc2822*() does not set the HasAttachment flag (regression)
  * Fixes: NB#209633 Message view failed to show inlined embedded images

201048
  * Fixes: NB#207235 QMailMessage::fromRfc2822*() does not set the HasAttachment flag
  * Fixes: NB#204831 Messages in qmf cache are corrupted with IMAP disconnected moves
  * Fixes: QTSOL-173 Synchronization causes some messages to be marked as unread on server
  * Fixes: NB#208092 - Default local storage (QMailStore::LocalStorageFolderId) is not created with MessagesPermitted flag
  * Adds QMailMessage::latestInConversation
  
201045
  * Fixes: NB#203241 Can't receive/fetch emails
  * Fixes: NB#189791 Message content preview as metadata
  * Fixes: NB#203640 Unable to detect whether IMAP server supports IDLE mode or not

201042
  * Fixes: NB#194441 QMailRetrievalAction::retrieveMessagePart() does not check for already downloaded parts
  * Fixes: QTSOL-166 Make disable and enabling accounts robust

201041
  * Fixes: NB#167708 IMAP: Message(s) marked as read/unread on Server not updated on Client 

201040
  * Fixes: NB#194887 QMailRetrievalAction::retrieveMessages() retrieves/creates plain text part badly

201039
  * Fixes: NB#195615 <coverity> Bugs reported by coverity in QMF
  * Batched add/update enabled for IMAP & POP accounts
  * IMAP server side searching optimized and much more comprehensive

201037
  * Fixes: NB#168820 QMailRetrievalAction::retrieveMessageList() default "minimum" value returns no messages
  * Fixes: NB#188374 Mails cannot be sent via AOL mailbox

201036
  * Fixes: NB#190343 messagserver invoking OOM killer and apparently its being killed
  * Fixes: NB#181065 Lack of pkgconfig files for QMF

201035
  * Fixes: NB#187756 Compilation error if compiling QMF client with QT_NO_CAST_FROM_ASCII defined
  * Fixes: NB#185403 responseType not set properly for updated messages

201034
  * Fixes: NB#182255 crash @QList<QMailMessageId>::at with "Sig 6" when moving messages back to Inbox in Server and synced to Client
  * Fixes: NB#181550 Random messageserver crash with SIGSEGV @ "QWaitCondition::wait"
  * Fixes: NB#184248 Random messageserver crash @ "SmtpClient::nextAction" while panning through mails.
  * Fixes: NB#187136 Sig 11 - Random messageserver crash @ "~SysLog"
  * Fixes: NB#187138 Sig 7 - Random messageserver crash @ "ImapRetrieveMessageListStrategy::handleUidSearch"
  * Fixes: NB#185487 Random messageserver abort at "MessageServer"
  * Fixes: NB#170187 "Updated" string in the Main view does not show the time stamp
  * Fixes: NB#186282 Removing a part from a multipart message does not update the locations of the remaining parts
  * Fixes: NB#167917 POP/IMAP: Attachments missing in case of 'Mail as attachment'
  * Fixes: NB#186566 PopService::Source::retrieveFolderList should create Inbox folder
  * Fixes: NB#183351 email addresses corrupted while sending

2010W32
  * Adds support in QMailContentManager for filtering and indexing plugins
  * Speed up message deletion
  * Adds method for batched removal in QMailContentManager

2010W31
  * Fixes: NB#173974 - POP: Unable to receive message with >20MB attachment
  * Fixes: NB#181179 - GMail IMAP fetch and content retrieve stops working after continuous usage

2010W30
  * Fixes: NB#175678 - QMF messageserver depends on libQtGui.so.4, libXext.so.6 et cetera

2010W29
  * Fixes: NB#172040 - QMailRetrievalAction signals "progressChanged" after "QMailServiceAction::Successful
  * Fixes: NB#175805 - Unix shutdown signals are not handled. 
  * Fixes: NB#147963 - <Others> Code review comments - messagingframework
  * Fixes: NB#176463 - It shall be possible to define the logging parameters of the messageserver in runtime

2010W28
  * Fixes: NB#175397 - QMailMessageListModel class not sending signals
  * Fixes: NB#176450 - Lack of interface to distinguish user cancelled and internally cancelled services
  * Fixes: NB#166468 - retrieveMessageList does not detect messages deleted on server
  * Fixes: NB#168536 - Actual messages are not removed from qmf database upon account deletion from...
  * Fixes: NB#176460 - Message importance is not available almost instantly
  * Fixes: NB#153703 - When sending email in offline mode, email is found in Draft folder instead of Outbox
  * Fixes: NB#177952 - SmtpService::Sink::transmitMessages() does not send mail when outbox has invalid mails
  * Fixes: NB#167919 - Lack of interface to distinguish between mail and non-mail folders
  * Fixes: NB#171448 - Messages from pop accounts are put into common folder
  * Fixes: QTSOL-162 - retrieveMessageList retrieves all messages for pop accounts
  * Fixes: QTSOL-161 - QMF data directory is world readable
  * Fixes: QTSOL-160 - Some mails are corrupted when copied between folders
  * Fixes: QTSOL-159 - Copying messages between folders on a fastmail account fails
  * Fixes: NB#170917 - Failure to handle message header fields containing unmatched " character

2010W24
  * Fixes: NB#161943 - qtmail incorrectly sends message/rfc822 attachments

2010W23
  * Fixes: NB#166806 - Application crashes upon trying to open message from Main view during send/receive
  * Fixes: QTSOL-154 - Retrieving an attachment causes full mail check (qtmail specific)

2010W22
  * Fixes: NB#164861 - duplicating messages in qmf DB
  * Fixes: NB#166299 - Messageserver crashes after defining POP account.
  * Fixes: NB#166378 - Fenix: "messageserver" crashed upon attempt to cancel the sync
  * Fixes: NB#168824 - <UninitVar> unintialized variable at QMailMessageBodyPrivate
  * Fixes: NB#164086 - messageserver crash at QCopClient::write
  * Fixes: NB#147762 - [Qtmail][Scratchbox] Files with non-ascii chars in their filenames are saved with incorrect filenames.
  * Fixes: NB#156665 - Message body replaced with Junk characters in mail received from GMail into Yahoo account.
  * Fixes: NB#159810 - QMailAccount::standardFolder retrieves an invalid id

2010W17
  * Fixes: QTMOBILITY-181 - QMF does not have an option to install headers systemwide

2010W14

  * Fixes: NB#156526 - Duplicate message items shown inside Inbox view
  * Fixes: NB#160646 - <MemLeak> in libqmf
  * Fixes: NB#158354 - Message shown without body part in viewer for messages fetched during initial account creation
  * Fixes: NB#163621 - qmf header prevents compilation with -Wshadow -Werror
  * Fixes: NB#157509 - Deleted messages are fetched back into Inbox after manual send/receiver
  * Fixes: QTSOL-123 NB#154216 - /tmp full
  * Fixes: QTSOL-533 NB#157257 - Crash in ServiceHandler::expireAction
  * Fixes: IMAP protocol plugin doesn't support two way synchronization of message flags
  * Fixes: IMAP protocol plugin doesn't batch status flag updates
  * Fixes: QTSOL-76 SMTP protocol plugin uses excessive memory when sending large mails
  * Fixes: QMailStore requires content manager plugins to load even if only message metadata operations are performed
  * Fixes: QTSOL-107 QMailMessageThreadedModel does not sort correctly
  * Fixes: QMailMessageThreadModel scatters items after item deletion
  * Fixes: QMailMessageThreadedModel is not updating all columns after a mesage is modified 
  * Fixes: QTSOL-115 Crash when copying message from 'All Mail' into 'Trash' on gmail
  * Fixes: QTSOL-111 Progress not shown when downloading attachments
  * Fixes: QTSOL-110 Mail checking persistently fails if IMAP server returns incorrect message section size
  * Fixes: QTSOL-108 Slow message deletion when many messages are in store
  * API Change: QMailMessage::Important flag added and IMAP protocol plugin updated to handle flagged messages
  * API Change: QMailStore::lock() and QMailStore::unlock() added to facilitate database backup
  * API Change: QMailMessageModelBase emitDataChange additional QModelIndex parameter 
  * Rearranged directory structure to remove qtmail example code form src directory
  * Various qtmail improvements, e.g. as-you-type spell checking, new progress reporting widget
  * Include html documentation in source package
  * Initial support for Mac platform
